using System;

namespace ConsoleApp6
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int t = int.Parse(s[0]);
            int p = int.Parse(s[1]);
            int[] druzeljubivost = new int[t];
            int[] sreca = new int[t];
            for(int i = 0; i < t; i++)
            {
                druzeljubivost[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < p; i++)
            {
                string[] par = Console.ReadLine().Split(' ');
                int osobaA = int.Parse(par[0]) - 1;
                int osobaB = int.Parse(par[1]) - 1;
                int factor = 0;
                if (druzeljubivost[osobaA] > 0 && druzeljubivost[osobaB] > 0)
                    factor = 1;
                else if (druzeljubivost[osobaA] < 0 && druzeljubivost[osobaB] < 0)
                    factor = -1;
                else if (druzeljubivost[osobaA] > 0 && druzeljubivost[osobaB] < 0)
                {
                    if (Math.Abs(druzeljubivost[osobaA]) > Math.Abs(druzeljubivost[osobaB]))
                        factor = 1;
                    else
                        factor = -1;
                }
                else if (druzeljubivost[osobaA] < 0 && druzeljubivost[osobaB] > 0)
                {
                    if (Math.Abs(druzeljubivost[osobaA]) < Math.Abs(druzeljubivost[osobaB]))
                        factor = 1;
                    else
                        factor = -1;
                }
                sreca[osobaA] += factor;
                sreca[osobaB] += factor;
            }
            int rezultat = 0;
            for (int i = 0; i < t; i++)
            {
                sreca[i] *= druzeljubivost[i];
                rezultat += sreca[i];
            }
            Console.WriteLine(rezultat);
        }
    }
}